Shipments | List view

The Shipment List View end-point provides a list of Shipments associated with the requesting user.

Request URI

GET https://pluto.cargobase.com/api/1/shipments/
Content-Type: application/json
Authorization: Token your_token_here

Note Shipments that have not yet been awarded are considered 'Requests' and are not yet available in this list.

Status codes

StatusDescriptionResolution
200OK--
403Forbiddencheck Authentication token, or status of the Shipment

Request Response definition

Results (Main message)

KeyValueDefinition
shipment_referenceSTRINGCargobase Shipment ID
shipment_titleSTRINGTitle of the Shipment, as provided by the Shipper
freight_modeSTRINGAwarded Freight Mode
shipperSTRINGName of the Shipper company
quote_titleINTTitle of the awarded quote
statusSTRINGCurrent status of the shipment, see list for potential status below
pickup_citySTRINGThe city name for Shipment pickup
pickup_countrySTRINGThe country name for Shipment pickup
stop1_citySTRINGThe city name of the Delivery location
stop1_countrySTRINGThe country name of the Delivery location
primary_tracking_numberSTRINGThe Primary tracking / reference number of the Provider for this shipment
created_bySTRINGThe email ID of the initiating user account, visible to Shippers only
last_modifiedSTRINGThe Date and Time in UTC since the most recent update to this shipment

Shipment status options

StatusDefinition
BookedAn awarded Shipment with a future pick-up time
In TransitA Shipment with a past pick-up time and future delivery time
DelayedA non-delivered Shipment with a past delivery time
CanceledA Shipment that has been canceled by the Shipper < 24 hours ago
DeliveredA Shipment that has been delivered < 24 hours

Note Shipments that are delivered or canceled will be removed from this list after 24 hours.

"Footer"

KeyValueDefinition
previousSTRINGURL to the previous page, in case page number is higher than 1
record_endINTEGERNumber of the highest Shipment on the page
countINTEGERTotal number of Shipments available to the user, across all pages
pageINTEGERPage number
record_startINTEGERNumber of the first Shipment on the page
nextSTRINGURL to the previous page, in case page number is lower than the highest available

Pagination

The Shipment list results are paginated with 10 results per page by default. Results are displayed in descending order, that means that result 1 on page 1 is the newest addition. To request a specific page append ?page=XX to the URI. To request a specific number of items per page, append ?page_size=xx to the URI.

Results can also be filtered to only display results of the account calling the API, this is done by appending '=self'.

Example

Calling the API to show only your own requests, with 25 per page and viewing page 3 is

GET https://pluto.cargobase.com/api/1/shipments/?=self&page_size=25&page=3
Content-Type: application/json
Authorization: Token your_token_here

Known issues

  • None at this moment.
Language
Credentials
http
Response
Click Try It! to start a request and see the response here!